using Exferia_Aplicacion.Herencia.Abstractas;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Exferia_Aplicacion.Modelos_MantenimientoSimple;
using Exferia_Aplicacion.General;
using Exferia_EntityFramework;
using Exferia_Maestros.General;

namespace Exferia_Maestros._3_Vistas.MantenimientoSimple
{
    public class ABS_MantenimientoSimple_MAE_Vehiculos : ABS_MantenimientoSimple
    {
        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_1()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true, "Kilómetros iniciales", false, 20, Enumerados.G_ENUM_TEXTBOX_TIPODATO.Digitos, 0, "");            
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_2()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true, "Tonelaje", false, 20, Enumerados.G_ENUM_TEXTBOX_TIPODATO.Decimales,3, "");
        }

        public override INTERNO_MantenimientoSimple_Controles_Fecha_Modelo AUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_Fecha_Modelo AUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_ComboBox_Modelo AUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_ComboBox_Modelo AUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_CheckBox_Modelo AUXILIAR_7()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_CheckBox_Modelo AUXILIAR_8()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_9()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true, "Porcentaje", false, 20, Enumerados.G_ENUM_TEXTBOX_TIPODATO.Decimales, 3, "", false);

        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_10()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_11()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_12()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo CODIGO()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true, "Matrícula", true, 13, Enumerados.G_ENUM_TEXTBOX_TIPODATO.Textos, 0, "");
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo DESCRIPCION()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true, "Descripcion", true, 50, Enumerados.G_ENUM_TEXTBOX_TIPODATO.Textos, 0, "");
        }

        public override INTERNO_MantenimientoSimple_Controles_F3_Modelo F3()
        {
            return null;
        }

        public override string NOMBRE_CAMPO_CODIGO()
        {
            return nameof(MAE_Vehiculos.matricula);
        }

        public override string NOMBRE_CAMPO_ID()
        {
            return nameof(MAE_Vehiculos.id);
        }

        public override string NOMBRE_CAMPO_IDEMPRESA()
        {
            return "";
        }

        public override string NOMBRE_LIBRERIA()
        {
            return Variables.G_STR_LIBRERIA_MAESTROS;
           
        }

        public override string NOMBRE_TABLA()
        {
            return nameof(MAE_Vehiculos);
        }

        public override string OPCION()
        {
            return Variables.G_STR_OPCION_MAE_VEHICULOS;
        }

        public override bool TIENE_FECHABORRADO()
        {
            return true;
        }
    }
}
